### A free/open-source library for quantitative finance

Public Member Functions
StickyMinPayoff Class Reference

StickyMin payoff (double option) More...

`#include <ql/instruments/stickyratchet.hpp>`

Inheritance diagram for StickyMinPayoff:
[legend]

List of all members.

## Public Member Functions

| StickyMinPayoff (Real gearing1, Real gearing2, Real gearing3, Real spread1, Real spread2, Real spread3, Real initialValue1, Real initialValue2, Real accrualFactor)
Payoff interface
std::string | name () const

## Detailed Description

StickyMin payoff (double option)

## Member Function Documentation

std::string name | ( |  | ) | const`[virtual]`

Warning:
  This method is used for output and comparison between payoffs. It is not meant to be used for writing switch-on-type code.

Reimplemented from DoubleStickyRatchetPayoff.